Loading...
Searching...
No Matches
DcmInputTempFileStreamFactory Class Reference

input stream factory for temporary file handlers More...

Inheritance diagram for DcmInputTempFileStreamFactory:

## Public Member Functions

| DcmInputTempFileStreamFactory (DcmTempFileHandler *handler)
| constructor
| DcmInputTempFileStreamFactory (const DcmInputTempFileStreamFactory &arg)
| copy constructor
virtual | ~DcmInputTempFileStreamFactory ()
| destructor, decreases reference counter of temporary file handler
virtual DcmInputStream * | create () const
| create a new input stream object
virtual DcmInputStreamFactory * | clone () const
| returns a pointer to a copy of this object
virtual DcmInputStreamFactoryType | ident () const
| returns an enum describing the class to which this instance belongs
Public Member Functions inherited from DcmInputStreamFactory
virtual | ~DcmInputStreamFactory ()
| destructor

## Private Member Functions

DcmInputTempFileStreamFactory & | operator= (const DcmInputTempFileStreamFactory &)
| private unimplemented copy assignment operator

## Private Attributes

DcmTempFileHandler * | fileHandler_
| handler for temporary file

## Detailed Description

input stream factory for temporary file handlers

## Constructor & Destructor Documentation

## DcmInputTempFileStreamFactory() [1/2]

DcmInputTempFileStreamFactory::DcmInputTempFileStreamFactory | ( | DcmTempFileHandler * | handler | ) |

constructor

Parameters

  handler | pointer to temporary file handler. Reference counter of temporary file handler is increased by this operation.

Referenced by DcmInputTempFileStreamFactory(), and operator=().

## DcmInputTempFileStreamFactory() [2/2]

DcmInputTempFileStreamFactory::DcmInputTempFileStreamFactory | ( | const DcmInputTempFileStreamFactory & | arg | ) |

copy constructor

Parameters

  arg | the factory to copy

References DcmInputTempFileStreamFactory().

## Member Function Documentation

## create()

virtual DcmInputStream * DcmInputTempFileStreamFactory::create | ( |  | ) | const

virtual

create a new input stream object

Returns
  pointer to new input stream object

Implements DcmInputStreamFactory.

## ident()

virtual DcmInputStreamFactoryType DcmInputTempFileStreamFactory::ident | ( |  | ) | const

inline virtual

returns an enum describing the class to which this instance belongs

Returns
  class to which this instance belongs

Implements DcmInputStreamFactory.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrmf.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0